// components/userInfo/userInfo.ts
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    realName: {
      type: Boolean,
      value: false
    },
    phone: {
      type: String,
      value: ''
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    visible: false
  },

  /**
   * 组件的方法列表
   */
  methods: {
    show() {
      console.log('show');

      // if (!this.data.realName) {
      this.setData({
        visible: true
      })
      // }
    },
    close() {
      this.setData({
        visible: false
      })
    },
    goChrivc() {
      wx.navigateToMiniProgram({
        appId: 'wx1da91ccb94c17c99',
        path: 'pages/information/information',
        success(res) {
          // 打开成功
        }
      })
    }
  }
})
